﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'ISL_Light_4_4_2011_41.exe'
$pp = Get-PackageParameters
$sa = ""
$sa += if($pp.UserName) { " --username " + $pp.UserName}
$sa += if($pp.Password) { " --password " + $pp.Password}
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  file          = $fileLocation
  softwareName  = 'ISL-light'
  validExitCodes= @(0, 3010, 1641)
  checksum      = '765FA648A4E5DE814581DDC836BB5D329F458D2D036A5743A56C4111DD70C8A9'
  checksumType  = 'sha256'
  checksum64    = '765FA648A4E5DE814581DDC836BB5D329F458D2D036A5743A56C4111DD70C8A9'
  checksumType64= 'sha256'
  silentArgs   = " $sa /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-"
}
Install-ChocolateyPackage @packageArgs